Third party cookies may be stored when visiting this site. Please see the cookie information.

Editing HD Video on Ubuntu Linux (kdenlive / Cinelerra) - is this better than Windows Vista?

One of the main reasons I still Windows Vista is for video editing. Just about everything else I've been able to do do in Linux which is by far my preferred operating system.

Now I have a HD flash based camcorder I tried to edit the video in Windows Vista using Adobe Premiere Elements. Despite posting a question to the Adobe forums, I have still not been able to get this working (although I'm still working on it).

Editing HD Video in Adobe Premiere Elements 3 on Windows Vista - Quicktime playing camcorder files - Error opening video files - mp4 h.264 - Error -50: an unknown error

As a result of the problems with Widnows Vista I thought I've give it another go in Linux. Although most of the Linux software is still at an early stage there seams to have been considerable progress since I last looked at it.

Playback of HD video files under Windows Vista (Quicktime) and Ubuntu Linux (ffplay)

The first thing I tried is basic playback of the files. Although I didn't get Quicktime working on my computer I tried with a friends (very recent laptop) and that struggled with playing the files. I tried using ffplay on Ubuntu and performance was far better. It still struggles slightly with the HD video files, but is more watch-able than under Windows Vista.

Video editing on Ubuntu Linux - kdenlive

There are two programs for editing that I've tried so far. The first is kdenlive.

The version of kdenlive supplied in Ubuntu 8.10 is a very old version. There is however an excellent guide to installing the latest version on the Ubuntu community documentation - KdenliveSVN, which I followed.

The software installed without any major difficulties, although it does not appear to have detected the ffmpeg software which I something I still need to take a look at. As a result I had to load my camcorder files as Quicktime MOV files rather than H.264 mp4 files.

I have had a short "play" with it and it seams a very good piece of software. I'll try and do a bit more with it and see if that meets my requirements.

It certainly seams good software available for free. It looks like it will be great when it finally reaches version 1 as it is still at 0.7.

Trying to install Cinelerra movie editor under Ubuntu Linux 8.10

Unfortunately I've not had quite as much success installing Cinelerra on Unbuntu Linux. Although there is an unofficial Ubuntu repository it doesn't install due to some dependency problems. This appears to be due to a change in the packages.

I have posted a question to the Ubuntu Forums to see if anyone else can help:

Unable to install Cinelerra

I am trying to install Cinelerra on Ubuntu 8.10 Intrepid Ibex, but not having much success.

I followed the instructions at: http://cvs.cinelerra.org/getting_cinelerra.php, but I get an error when trying to update, and Cinelerra is not available for install.

Synaptic sources lists as:

Type: Binary

URI: http://akirad.cinelerra.org/

Distribution: akirad-intrepid

Components: main

Comment: Akirad Repository - Mirror1

Cinelerra does not appear in Synaptic. When trying to install using apt-get - I get the error:

Since you only requested a single operation it is extremely likely that

the package is simply not installable and a bug report against

that package should be filed.

The following information may help to resolve the situation:

The following packages have unmet dependencies.

cinelerra: Depends: liblame0 (>= 3.96.1) but it is not installable

Depends: libopenexr2c2a (>= 1.2.2) but it is not installable

Depends: libquicktimehv (>= 1:2.1.0) but it is not going to be installed

Depends: libquicktimehv (= 1:2.1.0-2svn20071122ubuntu1) but it is not going to be installed

E: Broken packages

I tried installing liblame0 seperately, but I get the error:

Package liblame0 is not available, but is referred to by another package.

This may mean that the package is missing, has been obsoleted, or

is only available from another source

However the following packages replace it:

libmp3lame0

E: Package liblame0 has no installation candidate

Is it safe to perform a force install? Or better still is there a fixed package available anywhere?

Thanks

__________________

--

Penguin Tutor

www.penguintutor.com - Linux Tutorials and unofficial LPIC practice exams

View the post at: http://ubuntuforums.org/showthread.php?p=6461224#post6461224

Summary

I seam to be having more success with editing the camcorder files on Linux than I had on Windows Vista. I've only spent a couple of hours looking at it so far, which is far less than I spent trying to get Quicktime to work on Windows, but I've made more progress.

I'm still trying to find a solution for both operating systems, and I'll update on my success in a future post.

View this post on PenguinTutor.com - Editing HD Video on Ubuntu Linux (kdenlive / Cinelerra) - is this better than Windows Vista Adobe Premiere Elements 3 with Quicktime ?


» PenguinTutor Facebook page